Subject: Re: [tsvwg] I-D Action: draft-ietf-tsvwg-rfc4960-bis-09.txt

From: Magnus Westerlund <[email-masked]>
Date: Fri, 5 Mar 2021 15:27:26 +0000

Hi,

Trying to finally finish my AD review of the SCTP NAT I did find that this document does not appear to define what a "Control Chunk" is. As it is relevant for what one may bundle, and how placement is etc it would be good to be explicit about what it is.

Cheers

Magnus Westerlund

> -----Original Message-----
> From: I-D-Announce <[email-masked]> On Behalf Of
> [email-masked]
> Sent: den 18 februari 2021 23:05
> To: [email-masked]
> Cc: [email-masked]
> Subject: I-D Action: draft-ietf-tsvwg-rfc4960-bis-09.txt
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> This draft is a work item of the Transport Area Working Group WG of the
> IETF.
> 
>         Title           : Stream Control Transmission Protocol
>         Authors         : Randall R. Stewart
>                           Michael Tüxen
>                           Karen E. E. Nielsen
> 	Filename        : draft-ietf-tsvwg-rfc4960-bis-09.txt
> 	Pages           : 153
> 	Date            : 2021-02-18
> 
> Abstract:
>    This document obsoletes RFC 4960, if approved.  It describes the
>    Stream Control Transmission Protocol (SCTP).  SCTP is designed to
>    transport Public Switched Telephone Network (PSTN) signaling messages
>    over IP networks, but is capable of broader applications.
> 
>    SCTP is a reliable transport protocol operating on top of a
>    connectionless packet network such as IP.  It offers the following
>    services to its users:
> 
>    *  acknowledged error-free non-duplicated transfer of user data,
> 
>    *  data fragmentation to conform to discovered path maximum
>       transmission unit (PMTU) size,
> 
>    *  sequenced delivery of user messages within multiple streams, with
>       an option for order-of-arrival delivery of individual user
>       messages,
> 
>    *  optional bundling of multiple user messages into a single SCTP
>       packet, and
> 
>    *  network-level fault tolerance through supporting of multi-homing
>       at either or both ends of an association.
> 
>    The design of SCTP includes appropriate congestion avoidance behavior
>    and resistance to flooding and masquerade attacks.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-tsvwg-rfc4960-bis/
> 
> There is also an HTML version available at:
> https://www.ietf.org/archive/id/draft-ietf-tsvwg-rfc4960-bis-09.html
> 
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-tsvwg-rfc4960-bis-09
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html or
> ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: Michael Tuexen <[email-masked]>
Date: Fri, 5 Mar 2021 19:56:28 +0100

> On 5. Mar 2021, at 16:27, Magnus Westerlund <magnus.westerlund=[email-masked]> wrote:
> 
> Hi,
> 
Hi Magnus,

draft-ietf-tsvwg-rfc4960-bis contains in Section 2.3:

   SCTP packet (or packet):  The unit of data delivery across the
      interface between SCTP and the connectionless packet network
      (e.g., IP).  An SCTP packet includes the common SCTP header,
      possible SCTP control chunks, and user data encapsulated within
      SCTP DATA chunks.

This gives the definition: every chunk which is not a DATA chunk is a control chunk.
But I can make it explicit and add entries in Section 2.3.

Best regards
Michael